Bug 1478309 - (CVE-2017-1000101) CVE-2017-1000101 curl: URL globbing out of bounds read
CVE-2017-1000101 curl: URL globbing out of bounds read
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170809,reported=2...
: Security
Depends On: 1479668 1479669 1479670
Blocks: 1478321
  Show dependency treegraph
 
Reported: 2017-08-04 05:18 EDT by Adam Mariš
Modified: 2018-01-11 07:42 EST (History)
4 users (show)

See Also:
Fixed In Version: curl 7.55.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.66 KB, patch)
2017-08-04 05:44 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-08-04 05:18:13 EDT
curl supports "globbing" of URLs, in which a user can pass a numerical range
to have the tool iterate over those numbers to do a sequence of transfers.

In the globbing function that parses the numerical range, there was an
omission that made curl read a byte beyond the end of the URL if given a
carefully crafted, or just wrongly written, URL. The URL is stored in a heap
based buffer, so it could then be made to wrongly read something else instead
of crashing.

Affected versions: curl 7.34.0 up to and including 7.54.1

This flaw only affects the curl command line tool, not the libcurl library.
Comment 1 Adam Mariš 2017-08-04 05:18:18 EDT
Acknowledgments:

Name: the Curl project
Upstream: Brian Carpenter
Comment 3 Adam Mariš 2017-08-04 05:44 EDT
Created attachment 1308972 [details]
Upstream patch
Comment 4 Doran Moppert 2017-08-06 23:44:17 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 5 Andrej Nemec 2017-08-09 02:21:56 EDT
External References:

https://curl.haxx.se/docs/adv_20170809A.html
Comment 6 Andrej Nemec 2017-08-09 02:31:53 EDT
Created curl tracking bugs for this issue:

Affects: fedora-all [bug 1479670]


Created mingw-curl tracking bugs for this issue:

Affects: epel-7 [bug 1479668]
Affects: fedora-all [bug 1479669]

Note You need to log in before you can comment on or make changes to this bug.